Package com.trilead.ssh2.transport

# Class NegotiatedParameters

java.lang.Object
com.trilead.ssh2.transport.NegotiatedParameters

public class NegotiatedParameters extends Object
NegotiatedParameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`comp_algo_client_to_server`
`String`
`comp_algo_server_to_client`
`String`
`enc_algo_client_to_server`
`String`
`enc_algo_server_to_client`
`boolean`
`guessOK`
`String`
`kex_algo`
`String`
`lang_client_to_server`
`String`
`lang_server_to_client`
`String`
`mac_algo_client_to_server`
`String`
`mac_algo_server_to_client`
`String`
`server_host_key_algo`

## Constructor Summary

Constructors
Constructor
Description
`NegotiatedParameters()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### guessOK

public boolean guessOK

### kex_algo

public String kex_algo

### server_host_key_algo

public String server_host_key_algo

### enc_algo_client_to_server

public String enc_algo_client_to_server

### enc_algo_server_to_client

public String enc_algo_server_to_client

### mac_algo_client_to_server

public String mac_algo_client_to_server

### mac_algo_server_to_client

public String mac_algo_server_to_client

### comp_algo_client_to_server

public String comp_algo_client_to_server

### comp_algo_server_to_client

public String comp_algo_server_to_client

### lang_client_to_server

public String lang_client_to_server

### lang_server_to_client

public String lang_server_to_client

## Constructor Details

### NegotiatedParameters

public NegotiatedParameters()